<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;
use Twig\TemplateWrapper;

/* themes/custom/cuenca/templates/bootstrap/bootstrap-panel.html.twig */
class __TwigTemplate_89fdb0f777f8432668ceb933167a6f2e extends Template
{
    private Source $source;
    /**
     * @var array<string, Template>
     */
    private array $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
            'heading' => [$this, 'block_heading'],
            'body' => [$this, 'block_body'],
            'footer' => [$this, 'block_footer'],
        ];
        $this->sandbox = $this->extensions[SandboxExtension::class];
        $this->checkSecurity();
    }

    protected function doDisplay(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 45
        $context["classes"] = ["panel", ((        // line 47
($context["errors"] ?? null)) ? ("panel-danger") : (("panel-" . \Drupal\Component\Utility\Html::getClass(($context["panel_type"] ?? null)))))];
        // line 50
        yield "<div";
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["attributes"] ?? null), "addClass", [($context["classes"] ?? null)], "method", false, false, true, 50), "html", null, true);
        yield ">

  ";
        // line 53
        yield "  ";
        if (($context["heading"] ?? null)) {
            // line 54
            yield "    ";
            yield from $this->unwrap()->yieldBlock('heading', $context, $blocks);
            // line 69
            yield "  ";
        }
        // line 70
        yield "
  ";
        // line 72
        yield "  ";
        yield from $this->unwrap()->yieldBlock('body', $context, $blocks);
        // line 105
        yield "
  ";
        // line 107
        yield "  ";
        if (($context["footer"] ?? null)) {
            // line 108
            yield "    ";
            yield from $this->unwrap()->yieldBlock('footer', $context, $blocks);
            // line 116
            yield "  ";
        }
        // line 117
        yield "
</div>
";
        $this->env->getExtension('\Drupal\Core\Template\TwigExtension')
            ->checkDeprecations($context, ["errors", "panel_type", "attributes", "heading", "footer", "required", "collapsible", "heading_attributes", "target", "collapsed", "description", "body_attributes", "body", "footer_attributes"]);        yield from [];
    }

    // line 54
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_heading(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 55
        yield "      <div class=\"panel-heading\">
        ";
        // line 57
        $context["heading_classes"] = ["panel-title", ((        // line 59
($context["required"] ?? null)) ? ("form-required") : (""))];
        // line 62
        yield "        ";
        if (($context["collapsible"] ?? null)) {
            // line 63
            yield "          <a";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["heading_attributes"] ?? null), "addClass", [($context["heading_classes"] ?? null)], "method", false, false, true, 63), "html", null, true);
            yield " href=\"";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["target"] ?? null), "html", null, true);
            yield "\">";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["heading"] ?? null), "html", null, true);
            yield "</a>
        ";
        } else {
            // line 65
            yield "          <div";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["heading_attributes"] ?? null), "addClass", [($context["heading_classes"] ?? null)], "method", false, false, true, 65), "html", null, true);
            yield ">";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["heading"] ?? null), "html", null, true);
            yield "</div>
        ";
        }
        // line 67
        yield "      </div>
    ";
        yield from [];
    }

    // line 72
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_body(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 73
        yield "    ";
        // line 74
        $context["body_classes"] = ["panel-body", ((        // line 76
($context["collapsible"] ?? null)) ? ("panel-collapse") : ("")), ((        // line 77
($context["collapsible"] ?? null)) ? ("collapse") : ("")), ((        // line 78
($context["collapsible"] ?? null)) ? ("fade") : ("")), (((        // line 79
($context["errors"] ?? null) || (($context["collapsible"] ?? null) &&  !($context["collapsed"] ?? null)))) ? ("in") : (""))];
        // line 82
        yield "    ";
        // line 83
        $context["description_classes"] = ["help-block", (((        // line 85
($context["description"] ?? null) && (CoreExtension::getAttribute($this->env, $this->source, ($context["description"] ?? null), "position", [], "any", false, false, true, 85) == "invisible"))) ? ("sr-only") : (""))];
        // line 88
        yield "
    ";
        // line 89
        if (($context["errors"] ?? null)) {
            // line 90
            yield "      <div class=\"alert alert-danger\" role=\"alert\">
        <strong>";
            // line 91
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["errors"] ?? null), "html", null, true);
            yield "</strong>
      </div>
    ";
        }
        // line 94
        yield "
    <div";
        // line 95
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["body_attributes"] ?? null), "addClass", [($context["body_classes"] ?? null)], "method", false, false, true, 95), "html", null, true);
        yield ">
      ";
        // line 96
        if ((($context["description"] ?? null) && (CoreExtension::getAttribute($this->env, $this->source, ($context["description"] ?? null), "position", [], "any", false, false, true, 96) == "before"))) {
            // line 97
            yield "        <p";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["description"] ?? null), "attributes", [], "any", false, false, true, 97), "addClass", [($context["description_classes"] ?? null)], "method", false, false, true, 97), "html", null, true);
            yield ">";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["description"] ?? null), "content", [], "any", false, false, true, 97), "html", null, true);
            yield "</p>
      ";
        }
        // line 99
        yield "      ";
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["body"] ?? null), "html", null, true);
        yield "
      ";
        // line 100
        if (((($context["description"] ?? null) && (CoreExtension::getAttribute($this->env, $this->source, ($context["description"] ?? null), "position", [], "any", false, false, true, 100) == "after")) || (CoreExtension::getAttribute($this->env, $this->source, ($context["description"] ?? null), "position", [], "any", false, false, true, 100) == "invisible"))) {
            // line 101
            yield "        <p";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["description"] ?? null), "attributes", [], "any", false, false, true, 101), "addClass", [($context["description_classes"] ?? null)], "method", false, false, true, 101), "html", null, true);
            yield ">";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["description"] ?? null), "content", [], "any", false, false, true, 101), "html", null, true);
            yield "</p>
      ";
        }
        // line 103
        yield "    </div>
  ";
        yield from [];
    }

    // line 108
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_footer(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 109
        yield "      ";
        // line 110
        $context["footer_classes"] = ["panel-footer"];
        // line 114
        yield "      <div";
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["footer_attributes"] ?? null), "addClass", [($context["footer_classes"] ?? null)], "method", false, false, true, 114), "html", null, true);
        yield ">";
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["footer"] ?? null), "html", null, true);
        yield "</div>
    ";
        yield from [];
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName(): string
    {
        return "themes/custom/cuenca/templates/bootstrap/bootstrap-panel.html.twig";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable(): bool
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo(): array
    {
        return array (  214 => 114,  212 => 110,  210 => 109,  203 => 108,  197 => 103,  189 => 101,  187 => 100,  182 => 99,  174 => 97,  172 => 96,  168 => 95,  165 => 94,  159 => 91,  156 => 90,  154 => 89,  151 => 88,  149 => 85,  148 => 83,  146 => 82,  144 => 79,  143 => 78,  142 => 77,  141 => 76,  140 => 74,  138 => 73,  131 => 72,  125 => 67,  117 => 65,  107 => 63,  104 => 62,  102 => 59,  101 => 57,  98 => 55,  91 => 54,  83 => 117,  80 => 116,  77 => 108,  74 => 107,  71 => 105,  68 => 72,  65 => 70,  62 => 69,  59 => 54,  56 => 53,  50 => 50,  48 => 47,  47 => 45,);
    }

    public function getSourceContext(): Source
    {
        return new Source("", "themes/custom/cuenca/templates/bootstrap/bootstrap-panel.html.twig", "/var/www/html/web/themes/custom/cuenca/templates/bootstrap/bootstrap-panel.html.twig");
    }
    
    public function checkSecurity()
    {
        static $tags = array("set" => 45, "if" => 53, "block" => 54);
        static $filters = array("clean_class" => 47, "escape" => 50);
        static $functions = array();

        try {
            $this->sandbox->checkSecurity(
                ['set', 'if', 'block'],
                ['clean_class', 'escape'],
                [],
                $this->source
            );
        } catch (SecurityError $e) {
            $e->setSourceContext($this->source);

            if ($e instanceof SecurityNotAllowedTagError && isset($tags[$e->getTagName()])) {
                $e->setTemplateLine($tags[$e->getTagName()]);
            } elseif ($e instanceof SecurityNotAllowedFilterError && isset($filters[$e->getFilterName()])) {
                $e->setTemplateLine($filters[$e->getFilterName()]);
            } elseif ($e instanceof SecurityNotAllowedFunctionError && isset($functions[$e->getFunctionName()])) {
                $e->setTemplateLine($functions[$e->getFunctionName()]);
            }

            throw $e;
        }

    }
}
