<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;
use Twig\TemplateWrapper;

/* themes/custom/cuenca/templates/system/page.html.twig */
class __TwigTemplate_dd7ceef2847bfbcf467816fa97a48915 extends Template
{
    private Source $source;
    /**
     * @var array<string, Template>
     */
    private array $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
            'navbar' => [$this, 'block_navbar'],
            'top_header' => [$this, 'block_top_header'],
            'banner' => [$this, 'block_banner'],
            'main' => [$this, 'block_main'],
            'header' => [$this, 'block_header'],
            'sidebar_first' => [$this, 'block_sidebar_first'],
            'highlighted' => [$this, 'block_highlighted'],
            'help' => [$this, 'block_help'],
            'content' => [$this, 'block_content'],
            'sidebar_second' => [$this, 'block_sidebar_second'],
            'novedades' => [$this, 'block_novedades'],
            'footer' => [$this, 'block_footer'],
        ];
        $this->sandbox = $this->extensions[SandboxExtension::class];
        $this->checkSecurity();
    }

    protected function doDisplay(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 54
        $context["container"] = ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["theme"] ?? null), "settings", [], "any", false, false, true, 54), "fluid_container", [], "any", false, false, true, 54)) ? ("container-fluid") : ("container"));
        // line 56
        if ((CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "navigation", [], "any", false, false, true, 56) || CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "navigation_collapsible", [], "any", false, false, true, 56))) {
            // line 57
            yield "  ";
            yield from $this->unwrap()->yieldBlock('navbar', $context, $blocks);
        }
        // line 118
        yield "
";
        // line 120
        if (CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "banner", [], "any", false, false, true, 120)) {
            // line 121
            yield "  ";
            yield from $this->unwrap()->yieldBlock('banner', $context, $blocks);
        }
        // line 127
        yield "
";
        // line 128
        yield from $this->unwrap()->yieldBlock('main', $context, $blocks);
        // line 193
        yield "
";
        // line 194
        if (CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "novedades", [], "any", false, false, true, 194)) {
            // line 195
            yield "  ";
            yield from $this->unwrap()->yieldBlock('novedades', $context, $blocks);
        }
        // line 204
        yield "
";
        // line 205
        if (CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "footer", [], "any", false, false, true, 205)) {
            // line 206
            yield "  ";
            yield from $this->unwrap()->yieldBlock('footer', $context, $blocks);
        }
        $this->env->getExtension('\Drupal\Core\Template\TwigExtension')
            ->checkDeprecations($context, ["theme", "page", "navbar_attributes", "content_attributes"]);        yield from [];
    }

    // line 57
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_navbar(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 58
        yield "    ";
        // line 59
        $context["navbar_classes"] = ["navbar", ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source,         // line 61
($context["theme"] ?? null), "settings", [], "any", false, false, true, 61), "navbar_inverse", [], "any", false, false, true, 61)) ? ("navbar-inverse") : ("navbar-default")), ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source,         // line 62
($context["theme"] ?? null), "settings", [], "any", false, false, true, 62), "navbar_position", [], "any", false, false, true, 62)) ? ("navbar-") : (""))];
        // line 67
        yield "     ";
        // line 68
        yield "
    ";
        // line 70
        yield "   ";
        yield from $this->unwrap()->yieldBlock('top_header', $context, $blocks);
        // line 88
        yield "    <header";
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["navbar_attributes"] ?? null), "addClass", [($context["navbar_classes"] ?? null)], "method", false, false, true, 88), "html", null, true);
        yield " id=\"navbar\">
";
        // line 92
        yield "      <div class=\"";
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["container"] ?? null), "html", null, true);
        yield "\">
      <div class=\"navbar-header padding-clear\">
        ";
        // line 94
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "navigation", [], "any", false, false, true, 94), "html", null, true);
        yield "
        ";
        // line 96
        yield "        ";
        if (CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "navigation_collapsible", [], "any", false, false, true, 96)) {
            // line 97
            yield "          <button type=\"button\" class=\"navbar-toggle\" data-toggle=\"collapse\" data-target=\"#navbar-collapse\">
            <span class=\"sr-only\">";
            // line 98
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("Toggle navigation"));
            yield "</span>
            <span class=\"icon-bar\"></span>
            <span class=\"icon-bar\"></span>
            <span class=\"icon-bar\"></span>
          </button>
        ";
        }
        // line 104
        yield "      </div>

      ";
        // line 107
        yield "      ";
        if (CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "navigation_collapsible", [], "any", false, false, true, 107)) {
            // line 108
            yield "        <div id=\"navbar-collapse\" class=\"navbar-collapse collapse\">
          ";
            // line 109
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "navigation_collapsible", [], "any", false, false, true, 109), "html", null, true);
            yield "
        </div>
      ";
        }
        // line 112
        yield "      ";
        if ( !CoreExtension::getAttribute($this->env, $this->source, ($context["navbar_attributes"] ?? null), "hasClass", [($context["container"] ?? null)], "method", false, false, true, 112)) {
            // line 113
            yield "        </div>
      ";
        }
        // line 115
        yield "    </header>
  ";
        yield from [];
    }

    // line 70
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_top_header(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 71
        yield "     <div role=\"main\" class=\"top_header padding-clear\" id=\"top_header\">
      <div class=\"";
        // line 72
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["container"] ?? null), "html", null, true);
        yield "\">
         <div class=\"row\">
        <div class=\"col-md-3 col-lg-4 col-sm-4 col-xs-12\">
          ";
        // line 75
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "top_header_1", [], "any", false, false, true, 75), "html", null, true);
        yield "
        </div>
        <div class=\"col-md-7 col-lg-6 col-sm-6 col-xs-12\">
          ";
        // line 78
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "top_header_2", [], "any", false, false, true, 78), "html", null, true);
        yield "
        </div>
         <div class=\"col-md-2 col-lg-2 col-sm-2 col-xs-12\">
          ";
        // line 81
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "top_header_3", [], "any", false, false, true, 81), "html", null, true);
        yield "
        </div>
      </div>
      </div>

    </div>
   ";
        yield from [];
    }

    // line 121
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_banner(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 122
        yield "    <div id=\"banner\" role=\"banner\" class=\"banner\">
    ";
        // line 123
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "banner", [], "any", false, false, true, 123), "html", null, true);
        yield "
    </div>
  ";
        yield from [];
    }

    // line 128
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_main(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 129
        yield "  <div role=\"main\" class=\"main-container ";
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["container"] ?? null), "html", null, true);
        yield " js-quickedit-main-content padding-clear\">
    <div class=\"row\">

      ";
        // line 133
        yield "      ";
        if (CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "header", [], "any", false, false, true, 133)) {
            // line 134
            yield "        ";
            yield from $this->unwrap()->yieldBlock('header', $context, $blocks);
            // line 139
            yield "      ";
        }
        // line 140
        yield "
      ";
        // line 142
        yield "      ";
        if (CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 142)) {
            // line 143
            yield "        ";
            yield from $this->unwrap()->yieldBlock('sidebar_first', $context, $blocks);
            // line 148
            yield "      ";
        }
        // line 149
        yield "
      ";
        // line 151
        yield "      ";
        // line 152
        $context["content_classes"] = [(((CoreExtension::getAttribute($this->env, $this->source,         // line 153
($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 153) && CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 153))) ? ("col-sm-6") : ("")), (((CoreExtension::getAttribute($this->env, $this->source,         // line 154
($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 154) && Twig\Extension\CoreExtension::testEmpty(CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 154)))) ? ("col-sm-9") : ("")), (((CoreExtension::getAttribute($this->env, $this->source,         // line 155
($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 155) && Twig\Extension\CoreExtension::testEmpty(CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 155)))) ? ("col-sm-9") : ("")), (((Twig\Extension\CoreExtension::testEmpty(CoreExtension::getAttribute($this->env, $this->source,         // line 156
($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 156)) && Twig\Extension\CoreExtension::testEmpty(CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 156)))) ? ("col-sm-12") : (""))];
        // line 159
        yield "      <section";
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["content_attributes"] ?? null), "addClass", [($context["content_classes"] ?? null)], "method", false, false, true, 159), "html", null, true);
        yield ">

        ";
        // line 162
        yield "        ";
        if (CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "highlighted", [], "any", false, false, true, 162)) {
            // line 163
            yield "          ";
            yield from $this->unwrap()->yieldBlock('highlighted', $context, $blocks);
            // line 166
            yield "        ";
        }
        // line 167
        yield "
        ";
        // line 169
        yield "        ";
        if (CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "help", [], "any", false, false, true, 169)) {
            // line 170
            yield "          ";
            yield from $this->unwrap()->yieldBlock('help', $context, $blocks);
            // line 173
            yield "        ";
        }
        // line 174
        yield "
        ";
        // line 176
        yield "        ";
        yield from $this->unwrap()->yieldBlock('content', $context, $blocks);
        // line 180
        yield "      </section>

      ";
        // line 183
        yield "      ";
        if (CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 183)) {
            // line 184
            yield "        ";
            yield from $this->unwrap()->yieldBlock('sidebar_second', $context, $blocks);
            // line 189
            yield "      ";
        }
        // line 190
        yield "    </div>
  </div>
";
        yield from [];
    }

    // line 134
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_header(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 135
        yield "          <div class=\"col-sm-12\" role=\"heading\">
            ";
        // line 136
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "header", [], "any", false, false, true, 136), "html", null, true);
        yield "
          </div>
        ";
        yield from [];
    }

    // line 143
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_sidebar_first(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 144
        yield "          <aside class=\"col-sm-3\" role=\"complementary\">
            ";
        // line 145
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_first", [], "any", false, false, true, 145), "html", null, true);
        yield "
          </aside>
        ";
        yield from [];
    }

    // line 163
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_highlighted(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 164
        yield "            <div class=\"highlighted\">";
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "highlighted", [], "any", false, false, true, 164), "html", null, true);
        yield "</div>
          ";
        yield from [];
    }

    // line 170
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_help(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 171
        yield "            ";
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "help", [], "any", false, false, true, 171), "html", null, true);
        yield "
          ";
        yield from [];
    }

    // line 176
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_content(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 177
        yield "          <a id=\"main-content\"></a>
          ";
        // line 178
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "content", [], "any", false, false, true, 178), "html", null, true);
        yield "
        ";
        yield from [];
    }

    // line 184
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_sidebar_second(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 185
        yield "          <aside class=\"col-sm-3\" role=\"complementary\">
            ";
        // line 186
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "sidebar_second", [], "any", false, false, true, 186), "html", null, true);
        yield "
          </aside>
        ";
        yield from [];
    }

    // line 195
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_novedades(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 196
        yield "    <div class=\"novedades\">
      <div class=\"";
        // line 197
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["container"] ?? null), "html", null, true);
        yield "\">
        ";
        // line 198
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "novedades", [], "any", false, false, true, 198), "html", null, true);
        yield "
      </div>

    </div>
  ";
        yield from [];
    }

    // line 206
    /**
     * @return iterable<null|scalar|\Stringable>
     */
    public function block_footer(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 207
        yield "    <footer class=\"footer\">
      <div class=\"";
        // line 208
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["container"] ?? null), "html", null, true);
        yield "\">
        ";
        // line 209
        yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, ($context["page"] ?? null), "footer", [], "any", false, false, true, 209), "html", null, true);
        yield "
      </div>

    </footer>
  ";
        yield from [];
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName(): string
    {
        return "themes/custom/cuenca/templates/system/page.html.twig";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable(): bool
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo(): array
    {
        return array (  476 => 209,  472 => 208,  469 => 207,  462 => 206,  452 => 198,  448 => 197,  445 => 196,  438 => 195,  430 => 186,  427 => 185,  420 => 184,  413 => 178,  410 => 177,  403 => 176,  395 => 171,  388 => 170,  380 => 164,  373 => 163,  365 => 145,  362 => 144,  355 => 143,  347 => 136,  344 => 135,  337 => 134,  330 => 190,  327 => 189,  324 => 184,  321 => 183,  317 => 180,  314 => 176,  311 => 174,  308 => 173,  305 => 170,  302 => 169,  299 => 167,  296 => 166,  293 => 163,  290 => 162,  284 => 159,  282 => 156,  281 => 155,  280 => 154,  279 => 153,  278 => 152,  276 => 151,  273 => 149,  270 => 148,  267 => 143,  264 => 142,  261 => 140,  258 => 139,  255 => 134,  252 => 133,  245 => 129,  238 => 128,  230 => 123,  227 => 122,  220 => 121,  208 => 81,  202 => 78,  196 => 75,  190 => 72,  187 => 71,  180 => 70,  174 => 115,  170 => 113,  167 => 112,  161 => 109,  158 => 108,  155 => 107,  151 => 104,  142 => 98,  139 => 97,  136 => 96,  132 => 94,  126 => 92,  121 => 88,  118 => 70,  115 => 68,  113 => 67,  111 => 62,  110 => 61,  109 => 59,  107 => 58,  100 => 57,  92 => 206,  90 => 205,  87 => 204,  83 => 195,  81 => 194,  78 => 193,  76 => 128,  73 => 127,  69 => 121,  67 => 120,  64 => 118,  60 => 57,  58 => 56,  56 => 54,);
    }

    public function getSourceContext(): Source
    {
        return new Source("", "themes/custom/cuenca/templates/system/page.html.twig", "/var/www/html/web/themes/custom/cuenca/templates/system/page.html.twig");
    }
    
    public function checkSecurity()
    {
        static $tags = array("set" => 54, "if" => 56, "block" => 57);
        static $filters = array("escape" => 88, "t" => 98);
        static $functions = array();

        try {
            $this->sandbox->checkSecurity(
                ['set', 'if', 'block'],
                ['escape', 't'],
                [],
                $this->source
            );
        } catch (SecurityError $e) {
            $e->setSourceContext($this->source);

            if ($e instanceof SecurityNotAllowedTagError && isset($tags[$e->getTagName()])) {
                $e->setTemplateLine($tags[$e->getTagName()]);
            } elseif ($e instanceof SecurityNotAllowedFilterError && isset($filters[$e->getFilterName()])) {
                $e->setTemplateLine($filters[$e->getFilterName()]);
            } elseif ($e instanceof SecurityNotAllowedFunctionError && isset($functions[$e->getFunctionName()])) {
                $e->setTemplateLine($functions[$e->getFunctionName()]);
            }

            throw $e;
        }

    }
}
